Apache log4cxx Version @version@

Classes | Namespaces | Macros
level.h File Reference

## Classes
class | Level
| Defines the minimum set of levels recognized by the system, that is `OFF`, `FATAL`, `ERROR`, `WARN`, `INFO`, `DEBUG` and `ALL`. More...
class | Level::LevelClass

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.

## Macros
#define | DECLARE_LOG4CXX_LEVEL(level)
#define | IMPLEMENT_LOG4CXX_LEVEL(level) IMPLEMENT_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(level, Class##level)

## Macro Definition Documentation

## ◆ DECLARE_LOG4CXX_LEVEL

#define DECLARE_LOG4CXX_LEVEL | ( |  | level | ) |

Value:
public:\
class Class##level : public Level::LevelClass\
{\
public:\
Class##level() : Level::LevelClass() {}\
virtual LogString getName() const { return LOG4CXX_STR(#level); } \
virtual LevelPtr toLevel(const LogString& sArg) const\
{ return level::toLevelLS(sArg); }\
virtual LevelPtr toLevel(int val) const\
{ return level::toLevel(val); }\
};\
DECLARE_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(level, Class##level)
log4cxx::LevelPtr
helpers::ObjectPtrT< Level > LevelPtr
Definition: optionconverter.h:27
log4cxx::LogString
std::basic_string< logchar > LogString
Definition: logstring.h:66

## ◆ IMPLEMENT_LOG4CXX_LEVEL

#define IMPLEMENT_LOG4CXX_LEVEL | ( |  | level | ) | IMPLEMENT_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(level, Class##level)